package com.argotec.restapi.controller;

import com.argotec.siar.service.MeasurementService;
import com.argotec.siar.service.ProvinceService;
import com.argotec.siar.service.StationService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/v1/measurements")
@Api(tags = {"Measurement"})
public class MeasurementController {

    private final MeasurementService measurementService;
    private final StationService stationService;
    private final ProvinceService provinceService;

    public MeasurementController(MeasurementService measurementService, StationService stationService, ProvinceService provinceService) {
        this.measurementService = measurementService;
        this.stationService = stationService;
        this.provinceService = provinceService;
    }
}
