package com.argotec.siar.repository;

import com.argotec.siar.model.Variable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.time.LocalDate;
import java.util.List;

public interface VariableRepository extends JpaRepository<Variable, Long> {

    List<Variable> findByCropIdAndDateBetween(Long cropId, LocalDate startDate, LocalDate endDate);

    Variable findByCropIdAndDate(Long cropId, LocalDate date);
}
