package com.argotec.siar.scraper;

import com.argotec.scraper.ScraperAction;

import java.time.LocalDate;

import static com.argotec.scraper.ScraperUtil.setDate;

public class SiarScraperUtil {

    public static ScraperAction setStartDate(LocalDate startDate) {
        return scraper -> setDate(scraper, "txtFechaIni", startDate);
    }

    public static ScraperAction setEndDate(LocalDate endDate) {
        return scraper -> setDate(scraper, "txtFechaFin", endDate);
    }
}
