package com.argotec.restapi.controller;

import com.argotec.siar.service.ProvinceService;
import com.argotec.siar.service.StationService;
import com.argotec.siar.service.VariableService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/v1/variables")
@Api(tags = {"Variable"})
public class VariableController {

    private final VariableService variableService;
    private final StationService stationService;
    private final ProvinceService provinceService;

    public VariableController(VariableService variableService, StationService stationService, ProvinceService provinceService) {
        this.variableService = variableService;
        this.stationService = stationService;
        this.provinceService = provinceService;
    }
}
